## qmail 1.03-44noris1+19+1

=== debian/changelog ===
qmail (1.03-44noris1+19+1) jessie; urgency=medium

  * New Version

 -- Go Debian Build Agent <go-iaas-noreply@noris.de>  Mon, 21 Mar 2016 09:54:18 +0100
