=== debian/control ===
Source: qmail
Maintainer: Matthias Urlichs <smurf@noris.de>
Section: non-free/mail
Priority: extra
Build-Depends: dpkg-dev (>= 1.4.0.20), patch (>= 2.5-0bo1), gcc, make, groff-base, adduser
Standards-Version: 3.7.2

Package: qmail
Priority: extra
Section: non-free/mail
Architecture: any
Depends: ${shlibs:Depends}, netbase, procmail, ucspi-tcp, perl-modules
Provides: mail-transport-agent, mail-transfer-agent
Conflicts: mail-transport-agent, qmail-run, qmail-uids-gids
Suggests: mutt | mail-reader
Description: Broken email system
 This qmail package consists of a large heap of semi-broken patches.
 Try not to use it for anything, please.
